Summary: NSS library for LDAP
Name: nss_ldap
Version: 85
Release: mz1
Source0: ftp://ftp.padl.com/pub/nss_ldap-%{version}.tar.gz
Source1: ldap.conf
Patch0: nss_ldap-85-redhat.patch
URL: http://www.padl.com/
Copyright: LGPL
Group: System Environment/Base
BuildRoot: /var/tmp/%{name}-root

%description
This package includes two LDAP access clients: nss_ldap and pam_ldap.

nss_ldap is a set of C library extensions which allows X.500 and LDAP
directory servers to be used as a primary source of aliases, ethers,
groups, hosts, networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS).

pam_ldap is a module for Linux-PAM that supports password changes, V2
clients, Netscapes SSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted h ashes, etc.

%prep
%setup -q 
%patch0 -p1

%build
make COMPILERFLAGS="$RPM_OPT_FLAGS -fPIC" -f Makefile.RPM 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib}
make install -f Makefile.RPM
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/ldap.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
/lib/*
/usr/lib/*
%config(noreplace) /etc/ldap.conf
%doc ANNOUNCE README README.LINUX BUGS ChangeLog COPYING.LIB IRS
%doc nsswitch.ldap

%changelog
* Fri Aug 20 1999 Dana Canfield <canfield@uindy.edu>
- Modified to work with Mozilla libraries

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- use the ldap.conf file as an external source
- don't forcibly build the support for version 3
- imported the default spec file from the tarball and fixed it up for RH 6.1
